using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using XYY.Data.Model.Standard.Tracking;
using XYY.Core.Standard.Mvc; 
using XYY.Service.Standard.TrackingService;

namespace XYY.API.Tracking.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class TrackingSetNodeController : ControllerBase
    {
        public async Task<ApiJsonModel<PostTrackingRequest>> Post(PostTrackingRequest postTrackingRequest)
        {
            var data = NodeHelper.Convert(postTrackingRequest);
            return data;
        }

    }
}
